package com.yovinchen.xlcs.common.exception;

import com.yovinchen.xlcs.common.result.Result;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * ClassName: GlobalExceptionHandler
 * Package: com.yovinchen.xlcs.common.exception
 * 统一异常处理类
 *
 * @author yovinchen
 * @since 2023/9/13 13:03
 */

@ControllerAdvice
public class GlobalExceptionHandler {

    @ExceptionHandler(Exception.class)
    @ResponseBody
    public Result error(Exception e) {
        e.printStackTrace();
        return Result.fail(null);
    }

    /**
     * 自定义异常处理方法
     *
     * @param e
     * @return
     */
    @ExceptionHandler(xlcsException.class)
    @ResponseBody
    public Result error(xlcsException e) {
        return Result.build(null, e.getCode(), e.getMessage());
    }
}
