package com.yovinchen.xlcs.model.activity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 首页专题表【jd首页下面很多专题，每个专题链接新的页面，展示专题商品信息】
 * </p>
 *
 * @author yovinchen
 * @since 2023-09-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class HomeSubject implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 专题名字
     */
    private String name;

    /**
     * 专题标题
     */
    private String title;

    /**
     * 专题副标题
     */
    private String subTitle;

    /**
     * 显示状态
     */
    private Boolean status;

    /**
     * 详情连接
     */
    private String url;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 专题图片地址
     */
    private String img;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 删除标记（0:不可用 1:可用）
     */
    private Integer isDeleted;


}
