package com.yovinchen.xlcs.client.user;

import com.yovinchen.xlcs.vo.user.LeaderAddressVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * ClassName: UserFeignClient
 * Package: com.yovinchen.xlcs.client.user
 *
 * @author yovinchen
 * @since 2023/9/25 12:27
 */
@FeignClient(value = "service-user")
public interface UserFeignClient {

    /**
     * 配送点地址信息
     *
     * @param userId
     * @return
     */
    @GetMapping("/api/user/leader/inner/getUserAddressByUserId/{userId}")
    LeaderAddressVo getUserAddressByUserId(@PathVariable("userId") Long userId);
}
