package com.yovinchen.xlcs.cart.service;

import com.yovinchen.xlcs.model.order.CartInfo;

import java.util.List;

/**
 * ClassName: CartInfoService
 * Package: com.yovinchen.xlcs.cart.cart.service
 *
 * @author yovinchen
 * @since 2023/10/8 22:33
 */
public interface CartInfoService {
    /**
     * 添加商品到购物车
     *
     * @param userId
     * @param skuId
     * @param skuNum
     */
    void addToCart(Long userId, Long skuId, Integer skuNum);

    /**
     * 根据skuId删除购物车
     *
     * @param skuId
     * @param userId
     */
    void deleteCart(Long skuId, Long userId);

    /**
     * 清空购物车
     *
     * @param userId
     */
    void deleteAllCart(Long userId);

    /**
     * 批量删除购物车
     *
     * @param skuIdList
     * @param userId
     */
    void batchDeleteCart(List<Long> skuIdList, Long userId);

    /**
     * 购物车列表
     *
     * @param userId
     * @return
     */
    List<CartInfo> getCartList(Long userId);

    /**
     * 根据skuId选中
     *
     * @param userId
     * @param skuId
     * @param isChecked
     */
    void checkCart(Long userId, Long skuId, Integer isChecked);

    /**
     * 全选
     *
     * @param userId
     * @param isChecked
     */
    void checkAllCart(Long userId, Integer isChecked);

    /**
     * 批量选中
     *
     * @param skuIdList
     * @param userId
     * @param isChecked
     */
    void batchCheckCart(List<Long> skuIdList, Long userId, Integer isChecked);

    /**
     * 根据用户Id查询购物车列表
     *
     * @param userId
     * @return
     */
    List<CartInfo> getCartCheckedList(Long userId);

    void deleteCartChecked(Long userId);
}
