package com.yovinchen.xlcs.product.service.impl;

import com.yovinchen.xlcs.model.product.SkuPoster;
import com.yovinchen.xlcs.product.mapper.SkuPosterMapper;
import com.yovinchen.xlcs.product.service.SkuPosterService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 商品海报表 服务实现类
 * </p>
 *
 * @author yovinchen
 * @since 2023-09-15
 */
@Service
public class SkuPosterServiceImpl extends ServiceImpl<SkuPosterMapper, SkuPoster> implements SkuPosterService {

    /**
     * 根据id查询商品海报列表
     *
     * @param skuId
     * @return
     */
    @Override
    public List<SkuPoster> findBySkuId(Long skuId) {
        return baseMapper.selectList(new LambdaQueryWrapper<SkuPoster>().eq(SkuPoster::getSkuId, skuId));
    }
}
