package com.yovinchen.xlcs.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yovinchen.xlcs.model.user.User;
import com.yovinchen.xlcs.vo.user.LeaderAddressVo;
import com.yovinchen.xlcs.vo.user.UserLoginVo;

/**
 * ClassName: UserService
 * Package: com.yovinchen.xlcs.user.service
 *
 * @author yovinchen
 * @since 2023/9/22 16:33
 */
public interface UserService extends IService<User> {
    /**
     * 根据微信openid获取用户信息
     *
     * @param openid
     * @return
     */
    User getUserByOpenId(String openid);

    /**
     * 根据userId查询配送点和配送员信息
     *
     * @param id
     * @return
     */
    LeaderAddressVo getLeaderAddressByUserId(Long id);

    /**
     * 获取当前登录用户信息
     *
     * @param id
     * @return
     */
    UserLoginVo getUserLoginVo(Long id);

    /**
     * 更新用户昵称与头像
     *
     * @param user
     */
    void updateUser(User user);
}
